ghub-el (5.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Set upstream metadata fields: Repository.
  * debian/{control,docs}: run `wrap-and-sort -ast'
  * debian/control: add explicit elpa-compat dependency
    - To workaround dh-elpa limitation on handling built-in addons.
  * debian/rules: stop building html docs
    - Contains external links (e.g. css) which are considered privacy
      breach.
  * debian/docs: drop html docs; no longer built
  * debian/doc-base: drop html docs; no longer built
  * debian/gbp.conf: turn off pristine-tar; not used
  * debian/gbp.conf: drop compression settings; not used
  * debian/salsa-ci.yml: add default template

 -- Xiyue Deng <manphiz@debian.org>  Thu, 11 Jun 2026 01:04:05 -0700

ghub-el (5.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - 'Priority' field dropped
    - S-V bump 4.7.2 -> 4.7.4 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 10 May 2026 18:06:32 +0200

ghub-el (5.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: RRR removal (obsolete)
  * debian/watch: v4 -> v5 switch

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 12 Nov 2025 20:12:17 +0100

ghub-el (4.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control : Bump Standards-Version to 4.7.2 (no changes required).
  * d/elpa : Remove reference to ghub-pkg.el, which is included anyway.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 28 Apr 2025 11:29:57 +0200

ghub-el (4.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 29 Dec 2024 15:03:31 +0100

ghub-el (4.1.1-2) unstable; urgency=medium

  * debian/: straggler to clean.
    Thanks to Barak A. Pearlmutter (bap) for the hint! ;)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 08 Oct 2024 20:11:30 +0200

ghub-el (4.1.1-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset initialized
      - 0001-Avoid_revdesc_creation.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 05 Oct 2024 17:53:41 +0200

ghub-el (3.6.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
    * elpa-ghub: Drop versioned constraint on emacs (>= 47.0) in Recommends.
    Changes-By: deb-scrub-obsolete
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 4.6.2 -> 4.7.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 05 Oct 2024 15:06:58 +0200

ghub-el (3.6.0-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:40:13 +0900

ghub-el (3.6.0-4) unstable; urgency=medium

  * Team upload.
  * Improve documentation packaging.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 23 Dec 2023 11:36:22 +0100

ghub-el (3.6.0-3) unstable; urgency=medium

  * debian/elpa: force install ghub-pkg.el
    via dh_elpa (Closes: #1040197)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 03 Jul 2023 21:09:29 +0200

ghub-el (3.6.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 02 Jul 2023 16:52:14 +0200

ghub-el (3.6.0-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (fixed upstream)
  * debian/docs: .md files installation dropped
  * debian/control: S-V bump 4.6.0 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 11 Jun 2023 13:58:43 +0200

ghub-el (3.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Apr 2022 23:31:22 +0200

ghub-el (3.5.5-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: obsolete patchset dropped
    - debian/patches/: patchset updated
      - 0001-Add_ghub-pkg.el_file.patch added
  * debian/copyright: extend copyright timestamps
  * debian/control: drop Built-Using field
  * debian/elpa: install lisp/ files
  * debian/docs: update docs/ path

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Feb 2022 23:54:29 +0100

ghub-el (3.5.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 Oct 2021 23:49:23 +0200

ghub-el (3.5.3-2) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * Upload to unstable

  [ Nicholas D Steeves ]
  * Drop emacs25 from Enhances
    (package does not exist in bullseye).

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 20:40:08 +0200

ghub-el (3.5.3-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Jun 2021 12:22:20 +0200

ghub-el (3.5.2-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 13 May 2021 23:31:03 +0200

ghub-el (3.5.1-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 20 Jan 2021 23:28:02 +0100

ghub-el (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: version bump 3 -> 4
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 09 Dec 2020 16:55:20 +0100

ghub-el (3.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/01-fix_version.diff: update version

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 04 Nov 2020 21:47:49 +0100

ghub-el (3.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 14 Aug 2020 18:20:47 +0200

ghub-el (3.4.0-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed
  * debian/control: debhelper bump 12 -> 13

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 24 Jul 2020 22:54:08 +0200

ghub-el (3.3.0-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control:
    - S-V bump 4.3.0 -> 4.5.0 (no changes needed)
    - RRR set
  * debian/: debhelper-compat 12 usage

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 29 Jan 2020 22:58:30 +0100

ghub-el (3.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 08 Jul 2019 14:36:03 +0200

ghub-el (3.2.0-2) experimental; urgency=medium

  * debian/patches/: patchset updated (Closes: #924511)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 26 Mar 2019 13:52:49 +0100

ghub-el (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/: debhelper bump 11 -> 12
  * debian/control: S-V bump 4.2.1 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 20 Jan 2019 22:47:07 +0100

ghub-el (3.0.0-3) unstable; urgency=medium

  * debian/patches/: patchset created
    - 01-fix_version.diff added
  * debian/docs: documentation added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 17 Nov 2018 22:29:16 +0100

ghub-el (3.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 15 Nov 2018 21:29:35 +0100

ghub-el (3.0.0-1) experimental; urgency=medium

  * New upstream release (Closes: #913480)
    - debian/rules: override_dh_auto_build entry added
  * debian/control: Homepage link updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 14 Nov 2018 23:32:46 +0100

ghub-el (2.0.1-2) unstable; urgency=medium

  * debian/control:
    - S-V bump 4.1.4 -> 4.2.1 (no changes needed)
    - drop Conflicts against emacs24

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 06 Oct 2018 14:09:03 +0200

ghub-el (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 30 May 2018 00:02:16 +0200

ghub-el (2.0.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: texinfo b-dep added
  * debian/: debhelper bump 9 -> 11
  * debian/control: Vcs-* fields updated pointing to salsa
  * debian/control: S-V bump 4.1.1 -> 4.1.4 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 07 Apr 2018 23:17:27 +0200

ghub-el (1.3.0-1) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control: S-V bump 4.0.0 -> 4.1.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 08 Dec 2017 21:17:16 +0100

ghub-el (1.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - S-V bump 3.9.8 -> 4.0.0 (no changes needed)
    - fix dependencies on emacs24
    - drop dependency on emacs-common

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 22 Jul 2017 13:35:18 +0200

ghub-el (1.2.0-1) experimental; urgency=medium

  * Initial release (Closes: #864454)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 09 Jun 2017 10:30:56 +0200
